DNF5-SEARCH(8)

BEZEICHNUNG
dnf5-search - Search-Befehl

ÜBERSICHT

dnf5 search [Optionen] Muster …

BESCHREIBUNG

Der Befehl search in DNF5 wird zum Suchen von Paketen verwendet, indem vom Benutzer angegebene Schlüsselwörter mit verschiedenen Metadaten abgeglichen werden.

Standardmäßig sucht der Befehl nach allen angeforderten Schlüsseln (durch UND-Verknüpfung) in den Feldern Name oder Summary der RPM-Paketmetadaten. Benutzer können die Suche mit den Optionen --name oder --summary auf bestimmte Felder eingrenzen. Die Groß-/Kleinschreibung wird nicht berücksichtigt und Globs werden unterstützt.

OPTIONEN

    --all
        sucht nach Mustern auch in den Feldern Description und URL. Mit dieser Option werden Pakete aufgelistet, die mindestens einem der Schlüssel entsprechen (ODER-Verknüpfung). Dies kann nicht zusammen mit --name oder --summary verwendet werden.

    --name
        begrenzt die Suche ausschließlich auf das Name-Feld. Dies kann nicht zusammen mit --all oder --summary verwendet werden.

    --summary
        begrenzt die Suche ausschließlich auf das Summary-Feld. Dies kann nicht zusammen mit --all oder --name verwendet werden.

    --showduplicates
        zeigt alle Versionen der Pakete, nicht nur die neuesten.

BEISPIELE

    dnf5 search kernel
        Sucht nach dem Schlüsselwort kernel in den Metadatenfeldern Name oder Summary des Pakets.

    dnf5 search rpm dbus
        Sucht nach Paketen, die sowohl die Schlüsselwörter rpm als auch dbus in den Feldern Name oder Summary enthalten.

    dnf5 search --all fedora gnome kde
        Sucht nach Paketen, die eines der angegebenen Schlüsselwörter in den Feldern Name, Summary, Description oder URL enthalten.

    dnf5 search --name firefox
        Sucht nach dem Schlüsselwort firefox im Feld Name der Pakete.

    dnf5 search --summary browser
        Sucht nach dem Schlüsselwort browser im Feld Summary der Pakete.

SIEHE AUCH
        dnf5-specs(7), Muster-Spezifikation <#specs-misc-ref-label>

Autor
Siehe AUTHORS.md in der dnf5-Quelldistribution.

Copyright
Mitwirkende am DNF5-Projekt.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).